Wireshark-dev: Re: [Wireshark-dev] Building wireshark-0.99.6 problems on Linux
From: Stephen Fisher <[email protected]>
Date: Sat, 4 Aug 2007 12:00:41 -0600
On Tue, Jul 31, 2007 at 10:42:30AM +0200, Radek Vok??l wrote:
> Fabrizio Bertocci wrote:
> > [3] On RedHat Enterprise 3, CentOS 3, and RedHat 9 the build fails
> > because the file:
> > gtk/export-object.c
> > uses some functions that are available only on GTK 2.4 and above.
> > 
> > The correct fix is to #ifdef those sections to use the new API (GTK
> > 2.4>) only if gtk+2.4 is available, or use the old API for older gtk.
> > Attached you can find the .diff file for this.
> > 
> 
> You'd better use GKT_CHECK_VERSION, see attached patch.

Thank you both for pointing this out and generating patches.  I have
committed the changes along with changes in comments and documentation
(the user's guide) as SVN revisions 22455 & 22456.


Steve